nn.pp.rccore

## Class VideoSettings.VideoSettingBoolean

- java.lang.Object
- - nn.pp.rccore.VideoSettings.VideoSetting
  - - nn.pp.rccore.VideoSettings.VideoSettingBoolean

- All Implemented Interfaces:
    IVideoSettings.IVideoSetting, IVideoSettings.IVideoSettingBoolean
  Enclosing class:
    VideoSettings

      public class VideoSettings.VideoSettingBoolean
      extends VideoSettings.VideoSetting
      implements IVideoSettings.IVideoSettingBoolean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoSettingBoolean()`
    `VideoSettingBoolean(IVideoSettings.IVideoSettingBoolean setting)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEnabled()` Get whether this setting active or not
    `void` | `setEnabled(boolean enabled)` Set whether this setting active or not
    `java.lang.String` | `toString()`

    - ### Methods inherited from class nn.pp.rccore.VideoSettings.VideoSetting

      `isSupported, setSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface nn.pp.rccore.IVideoSettings.IVideoSetting

      `isSupported, setSupported`

- - ### Constructor Detail

    - #### VideoSettingBoolean

          public VideoSettingBoolean()

    - #### VideoSettingBoolean

          public VideoSettingBoolean(IVideoSettings.IVideoSettingBoolean setting)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Description copied from interface: `IVideoSettings.IVideoSettingBoolean`
      Get whether this setting active or not
      Specified by:
        `isEnabled` in interface `IVideoSettings.IVideoSettingBoolean`
      Returns:
        true if this setting is active, false otherwise

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Description copied from interface: `IVideoSettings.IVideoSettingBoolean`
      Set whether this setting active or not
      Specified by:
        `setEnabled` in interface `IVideoSettings.IVideoSettingBoolean`
      Parameters:
        `enabled` - true if this setting is active, false otherwise

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2025 Raritan Inc. All Rights Reserved.